import { jsx } from "react/jsx-runtime";
import { CellSignalX as CellSignalX$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CellSignalX = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CellSignalX", ...props, children: /* @__PURE__ */ jsx(CellSignalX$1, { weight: variant }) });
  }
);
CellSignalX.displayName = "CellSignalX";
Object.assign(CellSignalX, { isGdsIcon: true });
export {
  CellSignalX
};
